%global pypi_name pykwalify

Name:           python-%{pypi_name}
Version:        1.8.0
Release:    2%{?dist}
Summary:        Python lib/cli for JSON/YAML schema validation

License:        MIT
URL:            https://github.com/Grokzen/pykwalify
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
It is a YAML/JSON validation library.
This framework is a port with a lot added functionality
of the java version of the framework kwalify that can be
found at: http://www.kuwata-lab.com/kwalify/


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
It is a YAML/JSON validation library.
This framework is a port with a lot added functionality
of the java version of the framework kwalify that can be
found at: http://www.kuwata-lab.com/kwalify/


%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE docs/license.rst
%doc README.md
%{_bindir}/pykwalify


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.8.0-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-1
- initial build
